# std::ftell

From cppreference.com
< cpp‎ | io‎ | c

Defined in header `<cstdio>` |  |
long ftell( std::FILE* stream ); |  |

Returns the current value of the file position indicator for the file stream `stream`.

If the stream is open in binary mode, the value obtained by this function is the number of bytes from the beginning of the file.

If the stream is open in text mode, the value returned by this function is unspecified and is only meaningful as the input to std::fseek

### Parameters

stream | - | file stream to examine

### Return value

File position indicator on success or -1L if failure occurs. Also sets errno on failure.

### Example

| This section is incomplete Reason: no example

### See also

fgetpos | gets the file position indicator (function)
fseek | moves the file position indicator to a specific location in a file (function)
fsetpos | moves the file position indicator to a specific location in a file (function)
tellg | returns the input position indicator (public member function of `std::basic_istream`)
tellp | returns the output position indicator (public member function of `std::basic_ostream`)
C documentation for ftell

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/io/c/ftell&oldid=57798"
Category:

- Todo no example